<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>homepage</title>

        <link th:rel="stylesheet" th:href="@{/webjars/bootstrap/4.0.0-2/css/bootstrap.min.css} "/>
        <link rel="stylesheet" th:href="@{/css/main.css}">
    </head>

    <body class="mainSection">

        <!-- Navbar with bootstrap navbar classes -->
        <nav class="navbar navbar-light bg-light">
            <!-- Container fluid centralizes the navbar -->
            <div class="container-fluid">
                <h3 class="font-weight-bold">SongShop</h3>
            </div>
        </nav>


        <div class="container">
            <!-- searchBar makes sure that the search bar is
             centralized, but does not stretch to 100% for larget screens-->
            <div class="container searchBar">
                <form class="mt-5 input-group" th:action="@{/results}" method="GET">
                    <input class="form-control" type="text" name="keyword" id="keyword" maxlength="50" th:value="${keyword}" placeholder="For Those About To Rock" required />
                    <button class="btn btn-primary" type="submit" value="Search">Search</button>
                </form>
                <p th:if="${emptySearch}" class="text-danger">No songs found for latest search!</p>
            </div>


            <!-- Random Artist list with
            bootstrap list item classes -->
            <h2 class="mt-5 mb-3 font-weight-light" >Artists</h2>
            <ul class="list-group list-group-flush" th:each="track : ${tracks}">
                <li class="list-group-item mb-2" th:text="${track.getArtist}"></li>
            </ul>

            <!-- Random Track list with
            bootstrap list item classes -->
            <h2 class="mt-3 mb-3 font-weight-light">Tracks</h2>
            <ul class="list-group list-group-flush" th:each="track : ${tracks}">
                <li class="list-group-item mb-2" th:text="${track.getTrack}"></li>
            </ul>

            <!-- Random Genre list with
            bootstrap list item classes -->
            <h2 class="mt-3 mb-3 font-weight-light">Genre</h2>
            <ul class="list-group list-group-flush" th:each="track : ${tracks}">
                <li class="list-group-item mb-2" th:text="${track.getGenre}"></li>
            </ul>
        </div>


    </body>
</html>